%{?python_enable_dependency_generator}
%global pypi_name zake
 
Summary:        Testing utilities for the kazoo library
Name:           python-%{pypi_name}
Version:        0.2.2
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/yahoo/Zake
Source0:        https://pypi.python.org/packages/source/z/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/yahoo/Zake/master/LICENSE

BuildArch:      noarch
 
%description
This package provides a nice set of testing utilities for the kazoo library.
It includes the following functionality:
* Storage access (for viewing what was saved/created).
* Kazoo mostly compatible client API.
* Sync/transaction/create/get/delete... commands.
 
%package -n python3-%{pypi_name}
Summary:        Testing utilities for the kazoo library
 
BuildRequires:  python3-devel python3-kazoo python3-six python3-setuptools
Provides:       python3-%{pypi_name} = %{version}-%{release}
 
%description -n python3-%{pypi_name}
This package provides a nice set of testing utilities for the kazoo library.
It includes the following functionality:
* Storage access (for viewing what was saved/created).
* Kazoo mostly compatible client API.
* Sync/transaction/create/get/delete... commands.
 
%prep
%autosetup -n %{pypi_name}-%{version}
cp -p %{SOURCE1} .
 
%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
 
%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Wang Guodong <gordonwwang@tencent.com> - 0.2.2-1
- initial build
